更新

​

Webhook を更新します。シークレットはレスポンスに含みません。

必要なスコープ: webhooks.write

Path Parameters

  • リソース ID(UUID)

Headers

  • 同じ書き込みを安全に再試行するための一意なキーです。同じキーと同じ入力には同じ結果を返します。

Body·

application/json
  • the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/webhooks/{id}
curl https://api.shiftoru.jp/webhooks/string \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "url": "string",
  "description": "string",
  "events": [
    "string"
  ],
  "expose_only_id": true,
  "disabled_at": "2026-09-11T06:22:32.993Z",
  "access_type": "read_and_update"
}'
{
  "id": "string",
  "url": "string",
  "description": "string",
  "events": [
    "string"
  ],
  "expose_only_id": true,
  "disabled_at": "2026-09-11T06:22:32.993Z",
  "access_type": "read_and_update",
  "has_secret": true,
  "created_at": "2026-09-11T06:22:32.993Z",
  "updated_at": "2026-09-11T06:22:32.993Z"
}